# GimpUi.SpinScale

    const GimpUi = imports.gi.GimpUi;

    let spinScale = new GimpUi.SpinScale({
    });

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Entry
        - Gtk.SpinButton
          - GimpUi.SpinButton
            - GimpUi.SpinScale

## Constructors

- GimpUi.SpinScale.new

## Methods

- GimpUi.SpinScale.prototype.get_constrain_drag
- GimpUi.SpinScale.prototype.get_gamma
- GimpUi.SpinScale.prototype.get_label
- GimpUi.SpinScale.prototype.get_mnemonic_keyval
- GimpUi.SpinScale.prototype.get_scale_limits
- GimpUi.SpinScale.prototype.set_constrain_drag
- GimpUi.SpinScale.prototype.set_gamma
- GimpUi.SpinScale.prototype.set_label
- GimpUi.SpinScale.prototype.set_scale_limits
- GimpUi.SpinScale.prototype.unset_scale_limits

## Properties

- label